import { ViewPlugin, ViewUpdate } from '@codemirror/view';
import { EditorState } from '@codemirror/state';
export type Suggestion = {
    complete_suggestion: string;
    display_suggestion: string;
};
type InlineFetchFn = (state: EditorState) => Promise<Suggestion>;
export declare const fetchSuggestion: (fetchFn: InlineFetchFn) => ViewPlugin<{
    update(update: ViewUpdate): Promise<void>;
}>;
type InlineSuggestionOptions = {
    fetchFn: (state: EditorState) => Promise<string | Suggestion>;
    delay?: number;
    continue_suggesting?: boolean;
};
export declare function inlineSuggestion(options: InlineSuggestionOptions): any[];
export {};
